﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace AutoCompleteBoxAddItems
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void RadAutoCompleteBox_KeyDown_1(object sender, KeyEventArgs e)
		{
			var autoCompleteBox = sender as RadAutoCompleteBox;
			var inputText = autoCompleteBox.SearchText;
			var itemsSource = autoCompleteBox.ItemsSource as ObservableCollection<string>;

			if (e.Key == Key.Enter && !itemsSource.Contains(inputText))
			{
				itemsSource.Add(inputText);
				autoCompleteBox.ItemsSource = itemsSource;
				autoCompleteBox.SelectedItem = inputText;
			}
		}
	}
}
