﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace AutoCompleteBoxAddItems
{
	public class ViewModel : ViewModelBase
	{
		private ObservableCollection<string> countries;

		public ViewModel()
		{
			this.countries = new ObservableCollection<string>()
			{
				"Australia",
				"Bulgaria",
				"Canada",
				"Denmark",
				"France",
				"Germany"
			};
		}

		/// <summary>
		/// Gets or sets Countries and notifies for changes
		/// </summary>
		public ObservableCollection<string> Countries
		{
			get
			{
				return this.countries;
			}

			set
			{
				if (this.countries != value)
				{
					this.countries = value;
					this.OnPropertyChanged(() => this.Countries);
				}
			}
		}
	}
}
